#include "chdecl.h"
void CH_chcode_chgetconfig(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c8;
    case 4: goto c10;
    case 5: goto cb13;
    case 6: goto c15;
    case 7: goto c15;
    case 8: goto cb18;
    case 9: goto c19;
    case 10: goto c21;
    case 11: goto cb35;
    case 12: goto c36;
    case 13: goto c40;
    case 14: goto c43;
    case 15: goto c44;
    case 16: goto c54;
    case 17: goto c72;
    case 18: goto c80;
    case 19: goto c90;
    case 20: goto c104;
    case 21: goto c121;
    case 22: goto c133;
    case 23: goto c144;
    case 24: goto c157;
    case 25: goto c164;
    case 26: goto c174;
    case 27: goto c176;
    case 28: goto cb182;
    case 29: goto c183;
    case 30: goto c185;
    case 31: goto c190;
    case 32: goto c193;
    case 33: goto c209;
    case 34: goto c213;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 4 , "HARCH" */
  if( !chs_lit(DEF(4),"HARCH") ) goto ch_depletion;
/* find 5 3.1 4 , 0 */
  if (findfunc(DEF(5),DEF(3)DOT(1),(
          arguments[0] = DEF(4),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 6 5.1 */
  if((ch_returncode = cp_table(& ch_val, REF(5)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val;
  REF(6).tsdr = & dr_table;
/* endblock */
  che_endblock(sched);
/* branch , 10 */
   goto c10;
c8:
/* chs_lit 6 , "" */
  if( !chs_lit(DEF(6),"") ) goto ch_depletion;
c10:
/* new_table 3.3 , 2 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(3),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* enum_lit 7 , 0 */
  REF(7).value.enumeration = 0;
  REF(7).tsdr = & dr_enumeration;
  current->ip = 5;
cb13:
/* call 3.2 3.0 7 8 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(7),
          arguments[3] = DEF(8),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c14:
c15:
/* noop */
  
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 8;
cb18:
/* call 8.1 9 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(1),
          arguments[1] = DEF(9),
          arguments[1+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c19:
/* move 10 9 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10) = REF(9);
  REF(9).tsdr = & dr_bottom;
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
c21:
/* size 11 10 */
  REF(11).value.integer = REF(10).value.table->size;
  REF(11).tsdr = & dr_integer;
/* isubtract 12 11 =(1) */
  if (!chf_isubtract(DEF(12),REF(11).value.integer,1)) goto ch_depletion;
/* lookup_at 13 10 12 */
  if((ch_i = REF(12).value.integer) < 0 || ch_i >= (ch_t = REF(10).value
    .table)->size) goto ch_notfound;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(13).value,ch_i);
  REF(13).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 14 13 */
  REF(14) = REF(13);
/* notequal . 14 =(92) , 40 */
  if ( REF(14).value.ord_enum != 92 ) goto c40;
/* privatize 10 */
  if (REF(10).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(10))) != Normal)
       goto ch_raise_exception;
/* size 15 10 */
  REF(15).value.integer = REF(10).value.table->size;
  REF(15).tsdr = & dr_integer;
/* isubtract 16 15 =(1) */
  if (!chf_isubtract(DEF(16),REF(15).value.integer,1)) goto ch_depletion;
/* lookup_at 17 10 16 */
  if((ch_i = REF(16).value.integer) < 0 || ch_i >= (ch_t = REF(10).value
    .table)->size) goto ch_notfound;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(17).value,ch_i);
  REF(17).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 18 10 16 */
  if ((ch_returncode = remove_at_func(DEF(18),DEF(10),REF(16).value.integer
    )) != Normal) goto ch_raise_exception;
  current->ip = 11;
cb35:
/* call 8.1 19 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(1),
          arguments[1] = DEF(19),
          arguments[1+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c36:
/* concat 20 10 19 */
  if ((ch_returncode = che_concat(DEF(20),DEF(10),DEF(19),sched)) != Normal)
     goto ch_raise_exception;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* move 10 20 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10) = REF(20);
  REF(20).tsdr = & dr_bottom;
/* branch , 21 */
   goto c21;
c40:
/* endblock */
  che_endblock(sched);
/* branch , 43 */
   goto c43;
c43:
/* initget 21 10 , 0,0 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(21),DEF(10),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c44:
/* get_or_err 21 10 */
  if ((ch_returncode = get_selected_object(DEF(21),DEF(10),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 21 =(61) , 44 */
  if ( REF(21).value.ord_enum != 61 ) goto c44;
/* position 22 21 */
  ch_frame = get_selector_frame(DEF(21),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(22).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(22).tsdr = &dr_integer;
/* endget 21 10 */
  end_selector(DEF(21),DEF(10),sched,GET);
/* move 23 22 */
  REF(23) = REF(22);
  REF(22).tsdr = & dr_bottom;
/* new_table 24 , 8 */
  if ((ch_returncode = che_new_table(DEF(24),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 10 */
  if (REF(10).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(10))) != Normal)
       goto ch_raise_exception;
/* initget 25 10 , 0,0 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(25),DEF(10),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c54:
/* get_or_goto 25 10 , 61 */
  if ((ch_returncode = get_selected_object(DEF(25),DEF(10),sched)) != Normal)
     goto c61;
/* position 26 25 */
  ch_frame = get_selector_frame(DEF(25),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(26).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(26).tsdr = &dr_integer;
/* ige . 26 23 , 54 */
  if ( REF(26).value.integer >= REF(23).value.integer ) goto c54;
/* remove 27 25 10 */
  if ((ch_returncode = che_remove(DEF(27),DEF(25),DEF(10),sched)) != Normal)
     goto ch_raise_exception;
/* insert 24 27 */
  if ((ch_returncode = insertfunc(DEF(24),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 54 */
   goto c54;
c61:
/* endget 25 10 */
  end_selector(DEF(25),DEF(10),sched,GET);
/* privatize 10 */
  if (REF(10).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(10))) != Normal)
       goto ch_raise_exception;
/* initget 28 10 , 0,0 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(28),DEF(10),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 28 10 */
  if ((ch_returncode = get_selected_object(DEF(28),DEF(10),sched)) != Normal)
     goto ch_raise_exception;
/* remove 18 28 10 */
  if ((ch_returncode = che_remove(DEF(18),DEF(28),DEF(10),sched)) != Normal)
     goto ch_raise_exception;
/* endget 28 10 */
  end_selector(DEF(28),DEF(10),sched,GET);
/* chs_lit 29 , "()" */
  if( !chs_lit(DEF(29),"()") ) goto ch_depletion;
/* concat 30 24 29 */
  if ((ch_returncode = che_concat(DEF(30),DEF(24),DEF(29),sched)) != Normal)
     goto ch_raise_exception;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* move 24 30 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24) = REF(30);
  REF(30).tsdr = & dr_bottom;
/* initget 31 24 , 0,0 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(31),DEF(24),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c72:
/* get_or_err 31 24 */
  if ((ch_returncode = get_selected_object(DEF(31),DEF(24),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 31 =(40) , 72 */
  if ( REF(31).value.ord_enum != 40 ) goto c72;
/* position 32 31 */
  ch_frame = get_selector_frame(DEF(31),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(32).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(32).tsdr = &dr_integer;
/* endget 31 24 */
  end_selector(DEF(31),DEF(24),sched,GET);
/* move 23 32 */
  REF(23) = REF(32);
  REF(32).tsdr = & dr_bottom;
/* initget 33 24 , 0,0 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(33),DEF(24),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c80:
/* get_or_err 33 24 */
  if ((ch_returncode = get_selected_object(DEF(33),DEF(24),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 33 =(41) , 80 */
  if ( REF(33).value.ord_enum != 41 ) goto c80;
/* position 34 33 */
  ch_frame = get_selector_frame(DEF(33),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(34).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(34).tsdr = &dr_integer;
/* endget 33 24 */
  end_selector(DEF(33),DEF(24),sched,GET);
/* move 35 34 */
  REF(35) = REF(34);
  REF(34).tsdr = & dr_bottom;
/* new_table 36 , 8 */
  if ((ch_returncode = che_new_table(DEF(36),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 24 */
  if (REF(24).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(24))) != Normal)
       goto ch_raise_exception;
/* initget 37 24 , 0,0 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(37),DEF(24),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c90:
/* get_or_goto 37 24 , 100 */
  if ((ch_returncode = get_selected_object(DEF(37),DEF(24),sched)) != Normal)
     goto c100;
/* position 38 37 */
  ch_frame = get_selector_frame(DEF(37),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(38).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(38).tsdr = &dr_integer;
/* igt 39 38 23 */
  REF(39).value.boolean = (REF(38).value.integer > REF(23).value.integer);
/* position 40 37 */
  ch_frame = get_selector_frame(DEF(37),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(40).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(40).tsdr = &dr_integer;
/* ilt 41 40 35 */
  REF(41).value.boolean = (REF(40).value.integer < REF(35).value.integer);
/* and 42 39 41 */
  REF(42).value.boolean = REF(39).value.boolean&REF(41).value.boolean;
  REF(42).tsdr = & dr_boolean;
/* branch_false 42 , 90 */
  if ( !REF(42).value.boolean ) goto c90;
/* remove 43 37 24 */
  if ((ch_returncode = che_remove(DEF(43),DEF(37),DEF(24),sched)) != Normal)
     goto ch_raise_exception;
/* insert 36 43 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(43),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 90 */
   goto c90;
c100:
/* endget 37 24 */
  end_selector(DEF(37),DEF(24),sched,GET);
/* new_table 44 , 8 */
  if ((ch_returncode = che_new_table(DEF(44),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 36 */
  if (REF(36).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(36))) != Normal)
       goto ch_raise_exception;
/* initget 45 36 , 0,0 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(45),DEF(36),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c104:
/* get_or_goto 45 36 , 111 */
  if ((ch_returncode = get_selected_object(DEF(45),DEF(36),sched)) != Normal)
     goto c111;
/* notequal . 45 =(32) , 104 */
  if ( REF(45).value.ord_enum != 32 ) goto c104;
/* remove 46 45 36 */
  if ((ch_returncode = che_remove(DEF(46),DEF(45),DEF(36),sched)) != Normal)
     goto ch_raise_exception;
/* insert 44 46 */
  if ((ch_returncode = insertfunc(DEF(44),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 104 */
   goto c104;
c111:
/* endget 45 36 */
  end_selector(DEF(45),DEF(36),sched,GET);
/* notequal 47 36 6 */
  REF(47).value.boolean = (!eq_table(REF(36).value,REF(6).value));
  REF(47).tsdr = & dr_boolean;
/* chs_lit 48 , "" */
  if( !chs_lit(DEF(48),"") ) goto ch_depletion;
/* notequal 49 36 48 */
  REF(49).value.boolean = (!eq_table(REF(36).value,REF(48).value));
  REF(49).tsdr = & dr_boolean;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* and 50 47 49 */
  REF(50).value.boolean = REF(47).value.boolean&REF(49).value.boolean;
  REF(50).tsdr = & dr_boolean;
/* branch_false 50 , 119 */
  if ( !REF(50).value.boolean ) goto c119;
/* exit , 9 */
  ch_e = handler_type__exit; ch_val = QUAL(9); goto ch_exception;
c119:
/* new_table 51 , 8 */
  if ((ch_returncode = che_new_table(DEF(51),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 52 24 , 0,0 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(52),DEF(24),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c121:
/* get_or_goto 52 24 , 128 */
  if ((ch_returncode = get_selected_object(DEF(52),DEF(24),sched)) != Normal)
     goto c128;
/* position 53 52 */
  ch_frame = get_selector_frame(DEF(52),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(53).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(53).tsdr = &dr_integer;
/* ige . 53 23 , 121 */
  if ( REF(53).value.integer >= REF(23).value.integer ) goto c121;
/* copy 54 52 */
  if((ch_returncode = (REF(52).tsdr->copy)(& ch_val, REF(52).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).value = ch_val;
  REF(54).tsdr = datarepmap[REF(52).tsdr->number];
/* insert 51 54 */
  if ((ch_returncode = insertfunc(DEF(51),DEF(54),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 121 */
   goto c121;
c128:
/* endget 52 24 */
  end_selector(DEF(52),DEF(24),sched,GET);
/* move 24 51 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24) = REF(51);
  REF(51).tsdr = & dr_bottom;
/* new_table 44 , 8 */
  if ((ch_returncode = che_new_table(DEF(44),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 24 */
  if (REF(24).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(24))) != Normal)
       goto ch_raise_exception;
/* initget 55 24 , 0,0 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(55),DEF(24),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c133:
/* get_or_goto 55 24 , 140 */
  if ((ch_returncode = get_selected_object(DEF(55),DEF(24),sched)) != Normal)
     goto c140;
/* notequal . 55 =(32) , 133 */
  if ( REF(55).value.ord_enum != 32 ) goto c133;
/* remove 56 55 24 */
  if ((ch_returncode = che_remove(DEF(56),DEF(55),DEF(24),sched)) != Normal)
     goto ch_raise_exception;
/* insert 44 56 */
  if ((ch_returncode = insertfunc(DEF(44),DEF(56),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 133 */
   goto c133;
c140:
/* endget 55 24 */
  end_selector(DEF(55),DEF(24),sched,GET);
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 18 , 32 */
  REF(18).value.ord_enum = 32;
  REF(18).tsdr = & dr_ord_enumeration;
c144:
/* noop */
  
/* notequal . 18 =(32) , 153 */
  if ( REF(18).value.ord_enum != 32 ) goto c153;
/* privatize 10 */
  if (REF(10).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(10))) != Normal)
       goto ch_raise_exception;
/* initget 57 10 , 0,0 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(57),DEF(10),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 57 10 */
  if ((ch_returncode = get_selected_object(DEF(57),DEF(10),sched)) != Normal)
     goto ch_raise_exception;
/* remove 18 57 10 */
  if ((ch_returncode = che_remove(DEF(18),DEF(57),DEF(10),sched)) != Normal)
     goto ch_raise_exception;
/* endget 57 10 */
  end_selector(DEF(57),DEF(10),sched,GET);
/* branch , 144 */
   goto c144;
c153:
/* noop */
  
/* insert_at 10 18 =(0) */
  if ((ch_returncode = insertfunc(DEF(10),DEF(18),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c157:
/* new_record 58 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).value = ch_val; REF(58).tsdr = & dr_record;
/* move 58.0 24 */
  (*(REF(58)DOT(0).tsdr)->finalize)(REF(58)DOT(0).value,F_DISCARD,sched);
  REF(58)DOT(0) = REF(24);
  REF(24).tsdr = & dr_bottom;
/* wrap 58.1 10 , 11 */
  if ((ch_returncode = che_wrap(DEF(58)DOT(1),DEF(10),QUAL(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* block , 12 */
  if((ch_returncode = che_block(QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* insert 3.3 58 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(58),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 174 */
   goto c174;
c164:
/* chs_lit 59 , "" */
  if( !chs_lit(DEF(59),"") ) goto ch_depletion;
/* notequal 60 36 59 */
  REF(60).value.boolean = (!eq_table(REF(36).value,REF(59).value));
  REF(60).tsdr = & dr_boolean;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* branch_false 60 , 172 */
  if ( !REF(60).value.boolean ) goto c172;
/* privatize 3.3 */
  if (REF(3)DOT(3).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(3))) != Normal)
       goto ch_raise_exception;
/* find 61 3.3 58.0 , 0 */
  if (findfunc(DEF(61),DEF(3)DOT(3),(
          arguments[0] = DEF(58)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 62 61 3.3 , 0 */
  if ((ch_returncode = removefunc(DEF(62),DEF(61),DEF(3)DOT(3),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* insert 3.3 58 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(58),FALSE,0)) != Normal)
     goto ch_raise_exception;
c172:
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
c174:
/* endblock */
  che_endblock(sched);
/* branch , 185 */
   goto c185;
c176:
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* branch , 185 */
   goto c185;
c182:
  current->ip = 28;
cb182:
/* call 8.10 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(10),
          arguments[0+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c183:
/* exit , 14 */
  ch_e = handler_type__exit; ch_val = QUAL(14); goto ch_exception;
c185:
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* branch , 15 */
   goto c15;
c190:
/* endblock */
  che_endblock(sched);
/* branch , 209 */
   goto c209;
c193:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
c209:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c213:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
